> For the complete documentation index, see [llms.txt](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/llms.txt)

# Retrieve a List of Options

> GET /profiles/{profile_id}/optionlists/{optionlist_id}/options



## Servers
- https://api.iformbuilder.com/exzact/api/v81/[servername]: https://api.iformbuilder.com/exzact/api/v81/[servername]


## Authentication methods
- Oauth2


## Parameters
### Headers

- **Authorization** (string)
  e.g. Bearer {access_token}


### Path parameters

- **profile_id** (string)
  id of the profile

- **optionlist_id** (number)
  id of the option list


### Query parameters

- **fields** (string)
  extra information of each profile on the list

- **limit** (number)
  maximum count of the profile list

- **offset** (number)
  skip that many profiles before beginning to return

- **validate_grammar** (string)
  returns an error for incorrect field grammar when set to true

- **all_fields** (boolean)
  will show all fields for each profiles

- **exclude** (string)
  will exclude specified fields



## Responses
### 200
OK
#### Headers

- **Total-Count** (string)


#### Body: application/json (object)
- **id** (number)

- **key_value** (string)

- **global_id** (string)

- **label** (string)

- **sort_order** (number)

- **condition_value** (string)

- **score** (number)

- **is_disabled** (boolean)
  true once a record has used the option on a dwindling option list (ZCOptions.IS_DISABLED). Read-only. Request it with fields=is_disabled, or filter with fields=is_disabled(="0") to hide used options.



[Powered by Bump.sh](https://bump.sh)
